> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/trackdechets.md).

# Trackdéchets

## List TrackDéchets waste notes

> List TrackDéchets waste notes linked to your transports

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"TrackDechets"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"TrackDechetsWasteNotes":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/TrackDechetsWasteNote"},"type":"array"}},"type":"object"},"TrackDechetsWasteNote":{"properties":{"uid":{"description":"Dashdoc uid link between the transport and the TrackDéchets waste note","format":"uuid","type":"string"},"readable_id":{"description":"Waste note readable id from TrackDéchets","type":"string"},"opaque_id":{"description":"Waste note opaque id from TrackDéchets, differs from `readable_id` for BSD type of waste note only","type":"string"},"status":{"description":"TrackDéchets status of the waste note","type":"string"},"type":{"description":"Waste note type, based on its `readable_id`","type":"string"},"transport":{"$ref":"#/components/schemas/TrackDechetsWasteNote_transport"},"created":{"description":"creation date and time","format":"date-time","type":"string"},"updated":{"description":"last update date and time","format":"date-time","type":"string"}},"type":"object"},"TrackDechetsWasteNote_transport":{"description":"Transport","properties":{"uid":{"description":"uuid of the transport","format":"uuid","type":"string"},"remote_id":{"description":"your remote transport id","type":"string"}},"type":"object"}}},"paths":{"/track-dechets/":{"get":{"description":"List TrackDéchets waste notes linked to your transports","operationId":"listTrackDechetsWasteNote","parameters":[{"description":"transport uid","in":"query","name":"transport_uid","required":false,"schema":{"type":"string"}},{"description":"transport `remote_id`. You can use the `remote_id` of the transport (coming from your system), instead of its uid coming from Dashdoc, to filter this query","in":"query","name":"transport_remote_id","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackDechetsWasteNotes"}}},"description":"Get successful"}},"summary":"List TrackDéchets waste notes","tags":["TrackDechets"]}}}}
````

## Link a TrackDéchets waste note

> Link a TrackDéchets waste note to a transport. The waste note should exist on TrackDéchets (check is performed before link is created).

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"TrackDechets"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"LinkTrackDechetsWasteNote":{"properties":{"readable_id":{"description":"Waste note readable id from TrackDéchets","type":"string"},"transport":{"$ref":"#/components/schemas/LinkTrackDechetsWasteNote_transport"}},"required":["readable_id"],"type":"object"},"LinkTrackDechetsWasteNote_transport":{"description":"Transport, identified either by its `uid` or `remote_id`","properties":{"uid":{"description":"uuid of the transport. Optional, not required if `remote_id` is sent.","format":"uuid","type":"string"},"remote_id":{"description":"your remote transport id. Optional, ignored if `uid` is sent.","type":"string"}},"type":"object"},"TrackDechetsWasteNote":{"properties":{"uid":{"description":"Dashdoc uid link between the transport and the TrackDéchets waste note","format":"uuid","type":"string"},"readable_id":{"description":"Waste note readable id from TrackDéchets","type":"string"},"opaque_id":{"description":"Waste note opaque id from TrackDéchets, differs from `readable_id` for BSD type of waste note only","type":"string"},"status":{"description":"TrackDéchets status of the waste note","type":"string"},"type":{"description":"Waste note type, based on its `readable_id`","type":"string"},"transport":{"$ref":"#/components/schemas/TrackDechetsWasteNote_transport"},"created":{"description":"creation date and time","format":"date-time","type":"string"},"updated":{"description":"last update date and time","format":"date-time","type":"string"}},"type":"object"},"TrackDechetsWasteNote_transport":{"description":"Transport","properties":{"uid":{"description":"uuid of the transport","format":"uuid","type":"string"},"remote_id":{"description":"your remote transport id","type":"string"}},"type":"object"}}},"paths":{"/track-dechets/":{"post":{"description":"Link a TrackDéchets waste note to a transport. The waste note should exist on TrackDéchets (check is performed before link is created).","operationId":"linkTrackDechetsWasteNote","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkTrackDechetsWasteNote"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackDechetsWasteNote"}}},"description":"Create successful"}},"summary":"Link a TrackDéchets waste note","tags":["TrackDechets"]}}}}
````

## GET /track-dechets/{uid\_or\_readable\_id}/

> Read a TrackDéchets waste note association to a transport

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"TrackDechets"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"TrackDechetsWasteNote":{"properties":{"uid":{"description":"Dashdoc uid link between the transport and the TrackDéchets waste note","format":"uuid","type":"string"},"readable_id":{"description":"Waste note readable id from TrackDéchets","type":"string"},"opaque_id":{"description":"Waste note opaque id from TrackDéchets, differs from `readable_id` for BSD type of waste note only","type":"string"},"status":{"description":"TrackDéchets status of the waste note","type":"string"},"type":{"description":"Waste note type, based on its `readable_id`","type":"string"},"transport":{"$ref":"#/components/schemas/TrackDechetsWasteNote_transport"},"created":{"description":"creation date and time","format":"date-time","type":"string"},"updated":{"description":"last update date and time","format":"date-time","type":"string"}},"type":"object"},"TrackDechetsWasteNote_transport":{"description":"Transport","properties":{"uid":{"description":"uuid of the transport","format":"uuid","type":"string"},"remote_id":{"description":"your remote transport id","type":"string"}},"type":"object"}}},"paths":{"/track-dechets/{uid_or_readable_id}/":{"get":{"operationId":"getTrackDechetsWasteNote","parameters":[{"description":"Dashdoc `uid` of the association (UUID string) or the Trackdéchets `readable_id` (string). With a `readable_id`, also add `lookup_field=readable_id` to the query parameters.","in":"path","name":"uid_or_readable_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"readable_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `readable_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackDechetsWasteNote"}}},"description":"Get successful"}},"summary":"Read a TrackDéchets waste note association to a transport","tags":["TrackDechets"]}}}}
````

## Remove a TrackDéchets waste note from a transport

> The association \`uid\` is in the response of the POST request that created the association.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"TrackDechets"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}}},"paths":{"/track-dechets/{uid_or_readable_id}/":{"delete":{"description":"The association `uid` is in the response of the POST request that created the association.","operationId":"deleteTrackDechetsWasteNote","parameters":[{"description":"Dashdoc `uid` of the association (UUID string) or the Trackdéchets `readable_id` (string). With a `readable_id`, also add `lookup_field=readable_id` to the query parameters.","in":"path","name":"uid_or_readable_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"readable_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `readable_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty body"}},"summary":"Remove a TrackDéchets waste note from a transport","tags":["TrackDechets"]}}}}
````
